#pragma once
#include <glad/glad.h>
#include <glm/glm.hpp>

namespace YoggieEngine {
	class Framebuffer {

	public:
		Framebuffer();
		~Framebuffer();

		GLuint GetId() { return Id; }
		GLuint GetColourAttachment() { return ColourAttachment; }
		GLuint GetDepthAttachment() { return DepthAttachment; }

	private:
		GLuint Id = 0;
		GLuint ColourAttachment = 0;
		GLuint DepthAttachment = 0;


	};
}
