#include "Scene.h"
#include "Entity.h"
#include "Components.h"

namespace YoggieEngine{
	Scene::Scene()
	{
	}

	Scene::~Scene()
	{}

	Entity Scene::AddEntity(std::string name)
	{
		Entity entity = { m_registry.create(), this };

		auto& ident = entity.AddComponent<IdentifierComponent>();
		ident.name = name;
		entity.AddComponent<TransformComponent>();


		return entity;
	}

}
